---
apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

resources:
  - namespace.yaml
  - cnpg_cluster.yaml
  - cnpg_backup.yaml
  - cnpg_pooler.yaml
  - cronjob_g10k-code.yaml
  - cronjob_generate-types.yaml
  - persistentvolumeclaims.yaml
  - vaultauth.yaml
  - vaultstaticsecret.yaml
  - configmap_puppetboard-config.yaml
  - configmap_puppetdb-config.yaml
  - configmap_puppetdb-read-database.yaml
  - configmap_puppetserver-compiler-config.yaml
  - configmap_puppetserver-init-config.yaml
  - configmap_puppetserver-init-masters-config.yaml
  - configmap_puppetserver-master-config.yaml
  - deployment_puppetboard.yaml
  - deployment_puppetdb.yaml
  - deployment_puppetserver-master.yaml
  - horizontalpodautoscaler_puppetserver-compilers-autoscaler.yaml
  - horizontalpodautoscaler_puppetserver-puppetboard-autoscaler.yaml
  - horizontalpodautoscaler_puppetserver-puppetdb-autoscaler.yaml
  - gateway_puppetboard.yaml
  - httproute_puppetboard.yaml
  - gateway_puppetdb.yaml
  - httproute_puppetdb.yaml
  - service_puppetserver-agents-to-puppet.yaml
  - service_puppet-headless.yaml
  - service_puppet.yaml
  - service_puppetca.yaml
  - service_puppetboard.yaml
  - service_puppetdb.yaml
  - deployment_puppetserver-compiler.yaml
  - vpa.yaml

configMapGenerator:
  - name: compiler-autosign.conf
    files:
      - resources/compiler/autosign.conf
    options:
      disableNameSuffixHash: true
  - name: compiler-puppet.conf
    files:
      - resources/compiler/puppet.conf
    options:
      disableNameSuffixHash: true
  - name: compiler-puppetdb.conf
    files:
      - resources/compiler/puppetdb.conf
    options:
      disableNameSuffixHash: true
  - name: additional-ruby-gems
    files:
      - resources/additional-ruby-gems.sh
    options:
      disableNameSuffixHash: true
